[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ThresholdSplit< ColumnDecisionFunctor, Tag > Class Template Reference |

`#include <vigra/random_forest/rf_split.hxx>`

Inheritance diagram for ThresholdSplit< ColumnDecisionFunctor, Tag >:

## Additional Inherited Members

Public Member Functions inherited from SplitBase< Tag >
template<class T , class C , class T2 , class C2 , class Region , class Random >
int | findBestSplit (MultiArrayView< 2, T, C > features, MultiArrayView< 2, T2, C2 > labels, Region region, ArrayVector< Region > childs, Random randint)
template<class T , class C , class T2 , class C2 , class Region , class Random >
int | makeTerminalNode (MultiArrayView< 2, T, C >, MultiArrayView< 2, T2, C2 >, Region &region, Random)
void | reset ()
template<class T >
void | set_external_parameters (ProblemSpec< T > const &in)

## Detailed Description

### template<class ColumnDecisionFunctor, class Tag = ClassificationTag>
class vigra::ThresholdSplit< ColumnDecisionFunctor, Tag >

Chooses mtry columns and applies ColumnDecisionFunctor to each of the columns. Then Chooses the column that is best

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_split.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0